Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class CostHolder
    Inherits HCategory
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub

    <VisibleInListView(False), VisibleInLookupListView(False)> _
    ReadOnly Property HRPersonCostHolder As XPCollection(Of HRPersonCostHolder)
        Get
            Return New XPCollection(Of HRPersonCostHolder)(Session, CriteriaOperator.Parse("CostHolder=?", Me))
        End Get
    End Property

    <NonPersistent> _
    <DataSourceProperty("CollectionOfCostHolder")> _
    Property ParentObject As CostHolder
        Get
            Return MyBase.Parent
        End Get
        Set(value As CostHolder)
            MyBase.Parent = value
        End Set
    End Property
    <VisibleInListView(False), VisibleInDetailView(False), VisibleInLookupListView(False)> _
    <Browsable(False)> _
    <NonPersistent()> _
    Private ReadOnly Property CollectionOfCostHolder As XPCollection(Of CostHolder)
        Get
            Dim _CollectionOfCostHolder As New XPCollection(Of CostHolder)(Session, CriteriaOperator.Parse("Oid != ?", Me.Oid))
            Return _CollectionOfCostHolder
        End Get
    End Property
End Class ' Költségviselő

